Index: /vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modgrids.F90
===================================================================
--- /vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modgrids.F90	(revision 10086)
+++ /vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modgrids.F90	(revision 10087)
@@ -44,7 +44,7 @@
     type(Agrif_Variable_i), dimension(:), allocatable :: tabvars_i  !< List of integer   grid variables
 !
-    real   , dimension(3)              :: Agrif_x   !< global x, y and z position
-    real   , dimension(3)              :: Agrif_dx  !< global space step in the x, y and z direction
-    real   , dimension(3)              :: Agrif_dt  !< global time  step in the x, y and z direction
+    real(kind=8), dimension(3)         :: Agrif_x   !< global x, y and z position
+    real(kind=8)   , dimension(3)      :: Agrif_dx  !< global space step in the x, y and z direction
+    real, dimension(3)                 :: Agrif_dt  !< global time  step in the x, y and z direction
     integer, dimension(3)              :: nb        !< number of cells in the x, y and z direction
     integer, dimension(3)              :: ix        !< minimal position in the x, y and z direction
Index: /vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modinit.F90
===================================================================
--- /vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modinit.F90	(revision 10086)
+++ /vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modinit.F90	(revision 10087)
@@ -31,7 +31,26 @@
 !
     implicit none
+
+    abstract interface
+        subroutine step_proc()
+        end subroutine step_proc
+    end interface
+    
 !
 contains
 !
+
+
+subroutine Agrif_call_procname ( procname )
+    procedure(step_proc)  :: procname
+    call procname()
+end subroutine  Agrif_call_procname
+!===================================================================================================
+
+subroutine Agrif_call_procname1 ( procname1 )
+    procedure(typedef_proc) :: procname1 
+    call procname1()
+end subroutine  Agrif_call_procname1
+
 !===================================================================================================
 !  subroutine Agrif_Allocation
